function c=diff(X,N,DIM)
%diff: difference and approximate derivative

a=double(X);b=double(X-a);%so extended(a)+b recovers X
%Use the built-in functions for each component, and recover the extended-type afterwards. 
if nargin<2
    c=extended(diff(a))+diff(b);
    return
end
if nargin<3,
    c=extended(diff(a,N))+diff(b,N);
    return
end
if N>size(X,DIM),c=[]*X(1);return;end
c=extended(diff(a,N,DIM))+diff(b,N,DIM);